<?php
if (!defined('MEDIAWIKI')) die("MediaWiki extensions cannot be run directly.");
if (!defined('WikiDB')) {
	die("The WikiDB extension has not been set up correctly.<br>'"
		. basename(__FILE__) . "' should not be included directly.<br>Instead, "
		. "add the following to LocalSettings.php: "
		. "<tt><b>include_once(\"WikiDB/WikiDB.php\");</b></tt>");
}
/**
 * Constants required by WikiDB.
 *
 * @package MediaWiki
 * @subpackage Extensions
 *
 * @author Mark Clements <mclements at kennel17 dot co dot uk>
 * @copyright Copyright  2006-2012, Mark Clements
 * @license http://creativecommons.org/licenses/by-sa/2.5/ cc-by-sa 2.5 or later
 * @version $Rev: 661 $
 */

WikiDB_RegisterRevision('$Rev: 661 $');

/////////////////////
// External constants
// These constants are defined for use by people customising WikiDB.
/////////////////////

// Constants for use in custom Type functions.
	define("WIKIDB_Validate",			0);
	define("WIKIDB_FormatForDisplay",	1);
	define("WIKIDB_FormatForSorting",	2);
	define("WIKIDB_GetSimilarity",		3);

// $wgWikiDBMaxRefreshRate can be either set to a number indicating the number of 
// stale rows to refresh on each page view, or to one of the following constants.
// The first disables this auto-refresh completely (presumably because you are
// handling this via a cron job) and the second ensures all stale rows are updated
// on every page request, so there is never any stale data.
	define("WIKIDB_DisableAutoRefresh",	-1);
	define("WIKIDB_RefreshAll",			0);

/////////////////////
// Internal constants
// These are 'private' constants that should not need to be used outside of the
// WikiDB code.
/////////////////////

// Table names
	define("pWIKIDB_tblTables",		"wikidb_tables");
	define("pWIKIDB_tblRows",		"wikidb_rowdata");
	define("pWIKIDB_tblFields",		"wikidb_fielddata");

// Constants used when manipulating the array of defined Types in class
// WikiDB_TypeHandler.
	define("pWIKIDB_AddType",				0);
	define("pWIKIDB_GetCallbackFunction",	1);
	define("pWIKIDB_GetAllTypes",			2);
	define("pWIKIDB_TypeDefined",			3);

// The reporting interval dictates how often we should report our progress when
// running command-line update scripts.
	define("pWIKIDB_ReportingInterval",		100);

// The default value of $wgMaxRefreshRate, if the user doesn't specify.
// Currently this value is completely arbitrary - we should do some fine tuning 
// once we have seen how this works in practice.
	define("pWIKIDB_DefaultMaxRefreshRate",	100);

